# iReading

![iReading_Logo](./Reading_Logo.png)

[![Build Status](https://travis-ci.org/attentiveness/reading.svg?branch=master)](https://travis-ci.org/attentiveness/reading)
[![Join the chat at https://gitter.im/attentiveness/reading](https://badges.gitter.im/attentiveness/reading.svg)](https://gitter.im/attentiveness/reading)
[![License Apache2.0](https://img.shields.io/hexpm/l/plug.svg)](https://raw.githubusercontent.com/attentiveness/reading/master/LICENSE)

iReading App Write In React-Native（Studying and Programing）

**Support: Android 4.1 (API 16)+   IOS(7.0+)**

> No Profit, No Advertisement, Only Feelings

## Screenshot

![iReading_Splash](./screenshot/Reading_Splash.jpg) ![iReading_Main](./screenshot/Reading_Main.png)
![iReading_Drawer](./screenshot/Reading_Drawer.png) ![iReading_Article](./screenshot/Reading_Article.jpg)
![iReading_Share](./screenshot/Reading_Share.jpg) ![iReading_Category](./screenshot/Reading_Category.png)
![iReading_IOS_Main](./screenshot/Reading_IOS_Main.png) ![iReading_IOS_Share](./screenshot/Reading_IOS_Share.jpeg)

## Download

### From Android Market

*360 Android Market:* [Download iReading](http://zhushou.360.cn/detail/index/soft_id/3217938?recrefer=SE_D_Reading)

*Wandou Labs:* [Download iReading](http://www.wandoujia.com/apps/com.reading)

### From App Store
[Download iReading](https://itunes.apple.com/us/app/ireading/id1135411121?l=zh&ls=1&mt=8)

### β Version

*Android:* [Download iReading](http://fir.im/w7gu)

*iOS:* :rocket: Coming soon!

## Application Architecture

* [Microsoft Code Push](https://github.com/Microsoft/react-native-code-push) for dynamic update
* [Redux](https://github.com/reactjs/redux) is a predictable state container for reading application, together with [React Native](https://github.com/facebook/react-native)
* [Redux-Saga](https://github.com/yelouafi/redux-saga/) is a library that aims to make side effects in reading application easier and better
* [Mocha](https://mochajs.org/) and [Chai](http://chaijs.com/) for UT
* [Enzyme](https://github.com/airbnb/enzyme) for testing [React Native](https://github.com/facebook/react-native) UI components and mock
* [Eslint](https://github.com/eslint/eslint) is a tool for identifying and reporting on patterns found in reading application code
* [react-native-exceptions-manager](https://github.com/Richard-Cao/react-native-exceptions-manager) for handler js crash in release version

## Development Workflow

### Step One
```
npm install -g react-native-cli
```
### Step Two
```
npm install
```
### Step Three
```
react-native start
```
### Run Test
```
npm test
```
## Release Note

[Reading Release Note](https://github.com/attentiveness/reading/releases)

## Known Issue
[react-native-scrollable-tab-view: [Android]ScrollableTabBar Crash](https://github.com/skv-headless/react-native-scrollable-tab-view/issues/328)

[react-native-vector-icons: [ToolbarAndroid] Important Warning!!](https://github.com/oblador/react-native-vector-icons/issues/278)

## OnLine Accident

[Reading Online Accident](./Reading_OnLine_Accident.md)

## Welcome

>* Star
>* Fork
>* PR
>* Issue

## Contributing

**For more information about contributing PRs and issues, see our [Contribution Guidelines](https://github.com/attentiveness/reading/blob/master/CONTRIBUTING.md).**

## License

Apache License 2.0
